Package org.drinkless.tdlib

# Class TdApi.AuthorizationStateWaitRegistration

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthorizationState
org.drinkless.tdlib.TdApi.AuthorizationStateWaitRegistration

Enclosing class:
  `TdApi`

public static class TdApi.AuthorizationStateWaitRegistration extends TdApi.AuthorizationState
The user is unregistered and needs to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthorizationState

  `TdApi.AuthorizationState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.TermsOfService`
  `termsOfService`
  Telegram terms of service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationStateWaitRegistration()`
  The user is unregistered and needs to accept terms of service and enter their first name and last name to finish registration.
  `AuthorizationStateWaitRegistration(TdApi.TermsOfService termsOfService)`
  The user is unregistered and needs to accept terms of service and enter their first name and last name to finish registration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### termsOfService

    public TdApi.TermsOfService termsOfService
    Telegram terms of service.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthorizationStateWaitRegistration

    public AuthorizationStateWaitRegistration()
    The user is unregistered and needs to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.

  - ### AuthorizationStateWaitRegistration

    public AuthorizationStateWaitRegistration(TdApi.TermsOfService termsOfService)
    The user is unregistered and needs to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.
    Parameters:
      `termsOfService` - Telegram terms of service.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthorizationState`
    Returns:
      this.CONSTRUCTOR